// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    ext {
        ACTIVITY_VERSION = '1.1.0'
        ANDROIDX_CORE_KOTLIN_VERSION = '1.2.0'
        kotlin_version = "1.4.0"
        HILT_ANDROID_GRADLE_PLUGIN_VERSION = '2.28-alpha'
        JACOCO_VERSION = '0.8.5'
        JUNIT_EXT_VERSION = '1.1.1'
        JUNIT4_VERSION = '4.12'
        JUNIT5_VERSION = '5.6.0'
        MOCKITO_CORE_VERSION = '2.27.0'
        MOCKITO_KOTLIN = '2.2.0'
        ROBOLECTRIC_VERSION = '4.3.1'
        TEST_CORE_VERSION = '1.2.0'

        junit5UnitTests =  [
            "junit:junit:$JUNIT4_VERSION",
            "org.junit.jupiter:junit-jupiter-api:$JUNIT5_VERSION",
            "com.nhaarman.mockitokotlin2:mockito-kotlin:$MOCKITO_KOTLIN",
            "androidx.core:core-ktx:$ANDROIDX_CORE_KOTLIN_VERSION"
        ]

        junit5UnitTestRuntime = [
                "org.junit.vintage:junit-vintage-engine:$JUNIT5_VERSION",
                "org.junit.jupiter:junit-jupiter-engine:$JUNIT5_VERSION"
        ]
    }



    repositories {
        google()
        jcenter()
    }
    dependencies {
        classpath "com.android.tools.build:gradle:4.0.1"
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        classpath "com.google.dagger:hilt-android-gradle-plugin:$HILT_ANDROID_GRADLE_PLUGIN_VERSION"
        classpath "de.mannodermaus.gradle.plugins:android-junit5:1.5.1.0"

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        google()
        jcenter()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}